GET_VERS(2)

NAME
get_vers - extract kernel version information

SYNOPSIS
get_vers(request, length, argp)
int request;
int length;
char *argp;

DESCRIPTION
get_vers returns information about the current running kernel. The value of the request argument determines the precise action of the call:

0   This request returns the version string in the buffer pointed to by argp of size length

1   This request returns the last boot string used to boot the system in the buffer pointed to by argp of size length

ERRORS

[EFAULT]
    The memory pointed to by argp lies outside the valid address space for the process.